SSL_get0_peer_scts(3)

NAME
SSL_get0_peer_scts - get SCTs received

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/ssl.h>

 const STACK_OF(SCT) *SSL_get0_peer_scts(SSL *s);

DESCRIPTION
SSL_get0_peer_scts() returns the signed certificate timestamps (SCTs) that have been received. If this is the first time that this function has been called for a given SSL instance, it will examine the TLS extensions, OCSP response and the peer's certificate for SCTs. Future calls will return the same SCTs.

RESTRICTIONS
If no Certificate Transparency validation callback has been set (using SSL_CTX_set_ct_validation_callback or SSL_set_ct_validation_callback), this function is not guaranteed to return all of the SCTs that the peer is capable of sending.

RETURN VALUES
SSL_get0_peer_scts() returns a list of SCTs found, or NULL if an error occurs.

SEE ALSO
ssl(7), SSL_CTX_set_ct_validation_callback(3)

COPYRIGHT
Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.